Forum Clubic

Question sur Microsoft NET Framework

Bonjour

N’ayant jamais installé cette bete, a quoi sert rellement Microsoft NET Framework ?

Si par exemple on installe la version 3 qui semble etre sortie aujourd’hui, doit on egalement installer les anciennes versions ? Ou cette version 3 permet de se passer des anciennes ?

Derniere question : on voit parfois des programmes avoir besoin de NET Framework pour fonctionner. Par exemple Nlite a besoin de NET Framework 1.1 pour fonctionner. Mais si je n’installe que la version 3, est ce que cela fonctionnera quand meme ?

Et enfin est ce que NET Framework cree une breche de securité supplémentaire comme tout bon programme microsoft ?

Merci

on va éviter de dérapper à cette vitesse vers le troll sinon je sanctionne. Merci :jap:

Euhhhhhhhhhhh c’est une blague ???
Dire que par exemple Outlook possede plus de failles non patchées que d’autres logiciels, c’est un Troll ?
En plus me faire sanctionner sur un sujet ou il n’y a aucun mot grossier, aucun manque de respect…alors que parfois dans l’actualité 24h/24h il y a des trolls beaucoup plus gros que la !
A ce compte la virez moi du forum et pis on en parle plus…

Franchement sur ce coup je suis sur les fesses… je pensais que Clubic etait un peu plus torelant que cela…
Je comprends bien qu’il faille parfois moderer les forums, mais sur ce coup la je capte pas tout…

attention quand je dis sanctionner, je parlais de fermeture du sujet :jap:
ici on est pas sur le forum débat sur l’actu, aucun troll n’a sa place. Y a peut etre des failles dans certaines applis microsoft, mais de là à généraliser à la légère, faut pas abuser :wink:

Note bien que je n’ai fait qu’une remarque concernant un propos un peu abusif. Trop facile de demander un avis sur quelque chose qu’on ne connait pas et de le dénigrer dans la foulée … Encore, tu aurais pris la peine de tourner ta phrase autrement, mais est ce que NET Framework cree une breche de securité supplémentaire comme tout bon programme microsoft ? je suis désolé mais c’est exactement ce qu’on pourrait appeller un troll :neutre:

Le .Net FrameWork est un ensemble de librairies utilisées par différents programmes comme par exemple le Catalyst Control Center.

Le .Net FrameWork 2.0 contient les librairies de la version 1.1 plus de nouvelles librairies.

Quant à la version 3.0, je ne savais pas qu’elle devait sortir si tôt, sinon je n’aurais pas installé la 2.0 hier soir. :frowning:

En tous cas pour répondre à une des questions, il m’a fallu conserver .Net 1.1 en plus du 2.0 pour certaines applis. J’imagine donc que ca sera pareil pour la 3.0 (dispo pour l’heure qu’en anglais)

Je viens de regarder directement sur le site de MicroSoft et en fait, le .Net FrameWork 3.0 laisse la version 2.0 installée et ajoute les nouvelles normes pour WinVista.

Pour la version 2.0, si je me souviens bien, Windows disait que l’on pouvait laisser la version 1.1, mais conseillait tout de même de la désinstaller avant d’installer la version 2.0.